<?php
/*Álvaro Millán Serrano*/

namespace App\controllers;

use Core\Validation;
use App\Models\Customer;
use Spipu\Html2Pdf\Tag\Html\S;

class CustomerController {

    public function login($args){
        require "../app/views/login.php";
    }

    public function loginValidator(){
        $loginErrors = [];
        $loginErrors = Validation::validateLogin($_POST["email"], $_POST["password"]);
        if(empty($loginErrors)){
            $email = Validation::test_input($_POST["email"]);
            $password = Validation::test_input($_POST["password"]);

            $customer = Customer::findByEmail($email);
            if($customer){
                if(password_verify($password, $customer->password)){
                    session_start();
                    $_SESSION["customer"] = $customer;
                    $_SESSION['customer'] = serialize($customer);
                    header('Location: /cinema/all');
                }else{
                    $loginErrors["password"] = "Wrong password";
                }
            }else{
                $loginErrors["email"] = "User doesn't exist";
            }
        }
        require "../app/views/login.php";
    }

    public static function index(){
        Validation::sessionTimer();
        if(!isset($_SESSION['customer'])){
            header("location: /customer/login");
        }
        $customerUser = unserialize($_SESSION['customer']);
        require "../app/views/index.php";
    }


    public function logout(){
        session_start();
        session_unset();
        session_destroy();
        header("Location: /customer/login");
    }


}