<?php
/*Álvaro Millán Serrano*/

namespace App\Models;

use Core\Model;
use PDO;

class Movie extends Model{

    public static function all($cinemaID, $page, $limit){
        $db = self::connection();

        $offset = ($page - 1) * $limit;

        $stmt = $db->prepare("SELECT * FROM movies WHERE cinema = :cinemaID LIMIT :page OFFSET :limit");

        $stmt->bindParam(":cinemaID", $cinemaID, PDO::PARAM_INT);
        $stmt->bindParam(":page", $limit, PDO::PARAM_INT);
        $stmt->bindParam(":limit", $offset, PDO::PARAM_INT);

        $stmt->execute();

        $movies = $stmt->fetchAll(PDO::FETCH_OBJ);
        return $movies;
    }

    public static function countPages($cinemaID,$limit){
        $db = self::connection();

        $stmt = $db->prepare("SELECT count(*) AS row_count FROM movies WHERE cinema = :cinemaID");
        $stmt->bindParam(":cinemaID", $cinemaID, PDO::PARAM_INT);

        $stmt->execute();

        $rows = $stmt->fetchObject()->row_count;

        $pages = ceil($rows / $limit);
        return $pages;

    }

    public static function findMovie($id){
        $db = self::connection();
        $stmt = $db->prepare("SELECT * FROM movies WHERE idMovie = :idMovie");
        $stmt->bindParam(":idMovie", $id, PDO::PARAM_INT);

        $stmt->execute();
        $movie = $stmt->fetch(PDO::FETCH_OBJ);
        return $movie;

    }

    public static function substractTickets($movieID, $oldAmount, $substraction){
        $db = self::connection();
        $stmt = $db->prepare("UPDATE movies SET tickets = :tickets WHERE idMovie = :idMovie");

        $newAmount = $oldAmount - $substraction;
        $stmt->bindParam(":tickets", $newAmount, PDO::PARAM_INT);
        $stmt->bindParam(":idMovie", $movieID, PDO::PARAM_INT);

        return $stmt->execute();

    }


}
