<?php

namespace Core;

class Validation{
    public static function test_input($data): string{
        $data = trim($data);
        $data = stripslashes($data);
        $data = htmlspecialchars($data);
        return $data;
    }

    public static function validateLogin($email, $password){
        $errors = [];
        if(empty($email)){
            $errors['email'] = "Email can't be empty";
        }else{
            $email = Validation::test_input($email);
            if(!preg_match("/[a-zA-Z0-9]@[a-zA-Z0-9._-]+\.[a-zA-Z]{2,3}$/", $email)){
                $errors['email'] = "Invalid Email";
            }
        }

        if(empty($password)){
            $errors['password'] = "Password can't be empty";
        }else{
            $password = Validation::test_input($password);
        }

        return $errors;
    }


    public static function validatePurchase($tickets){
        $error = "";
        if(empty($tickets)){
            $error = "Ticket number can't be empty";
        }else{
            $tickets = Validation::test_input($tickets);
            if(!preg_match("/[0-9]$/", $tickets)){
                $error = "Invalid amount of tickets";
            }
            if($tickets < 1){
                $error = "Invalid amount of tickets";
            }
        }

        return $error;
    }

    public static function sessionTimer(){
        $inactivity = 300;
        session_start();
        if(isset($_SESSION["timeout"])){

            $sessionTTL = time() - $_SESSION["timeout"];
            if($sessionTTL > $inactivity){
                session_destroy();
                header("Location: /customer/login");
            }
        }

        $_SESSION["timeout"] = time();
    }




}
